/*
Filename: Ex201A.ino
Date: 2014/2/3(Mon)
Author: Akinori Tsuji
Description: for servo calibration
*/
#include <Servo.h>

// ============ Servo ===========
const int servoL_Pin  = 9; // uses timer1
const int servoR_Pin  = 5; // uses timer1
Servo servoL; // left servo
Servo servoR; // right servo

/*
Servo.attach(pin, min, max) default min is 544, max is 2400
write() - Sets the servo angle in degrees. 0 <= angle <= 180, 
 0.8ms -- 1.5ms -- 2.2ms
writeMicroseconds() - Sets the servo pulse width in microseconds 
*/
/*
Left 1450:stop 650 2250
Right 1530:stop 730 2330
*/
void setup() {
  delay(1000);
  servoL.attach(servoL_Pin);  // left servo is connected to d9
  servoR.attach(servoR_Pin);  // right servo is connected to d5 
  Serial.begin(9600); // open serial port by setting 9600 bps
}

void loop() {
  for (int i=1400; i<1600; i++) {
//    servoL.writeMicroseconds(i);
    servoR.writeMicroseconds(i);
    Serial.println(i);
    delay(200); // 20ms x N
  }
}

void stop_JJ2() {
    servoL.writeMicroseconds(1520);
    servoR.writeMicroseconds(1490);
}

