/*
Filename: Ex202A.ino
Date: 2014/2/3(Mon)
Author: Akinori Tsuji
Description: for servo evaluation
*/
#include <Servo.h>

// ============ Servo ===========
const int servoL_Pin  = 9; // uses timer1
const int servoR_Pin  = 5; // uses timer1
Servo servoL; // left servo
Servo servoR; // right servo

/*
attach(pin, min, max  ) default min is 544, max is 2400
write() - Sets the servo angle in degrees. 0 < angle < 180, 
  0--90:cw, 90--180:ccw 90:stop
writeMicroseconds() - Sets the servo pulse width in microseconds 
*/
/*
Left  1470:stop 770(-700) 1470(0) 2170(+700)
Right 1540:stop 840(-700) 1540(0) 2240(+700)
*/
void setup() {
  delay(1000); // 1520, 1490
  servoL.attach(servoL_Pin, 930, 2110);  // left servo is connected to D9
  servoR.attach(servoR_Pin, 790, 2190);  // right servo is connected to D5 
}

void servo(int l, int r) {
   servoL.write(l);
   servoR.write(180-r);
}

void loop() {
  servo(45, 45);  // 前進
  delay(2000);
  servo(90, 90);  // 停止
  delay(2000);
  servo(135, 135);  // 後退
  delay(2000);
  servo(90, 90);  // 停止
  delay(2000);
}

